Skip to main content
GET
/
v1
/
schedules
List schedules
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/schedules \
  --header 'Authorization: Bearer <token>'
{
  "pageInfo": {
    "hasNextPage": true,
    "nextCursor": "<string>",
    "pageSize": 123,
    "totalRecords": 123
  },
  "records": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "schedule": "<string>",
      "disabledAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "timezone": "<string>",
      "identifier": "<string>",
      "dashboardName": "<string>",
      "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ownerName": "<string>",
      "lastCompletedAt": "2023-11-07T05:31:56Z",
      "lastStatus": "<string>",
      "destinationType": "<string>",
      "format": "<string>",
      "recipientCount": 123,
      "content": "<string>",
      "slackRecipientType": "<string>",
      "systemDisabledAt": "2023-11-07T05:31:56Z",
      "systemDisabledReason": "<string>",
      "alert": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omni.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

q
string

Search term for filtering schedules by name, dashboard name, or owner name (case-insensitive).

status
enum<string>

Filter schedules by delivery status.

Available options:
success,
error,
canceled,
none
destination
enum<string>

Filter schedules by destination type.

Available options:
email,
slack,
webhook,
sftp,
s3
scheduleType
enum<string>

Filter by schedule type.

Available options:
alert,
schedule
contentType
enum<string>

Filter schedules by content type.

Available options:
dashboard,
single tile
sortField
enum<string>
default:scheduleName

The field to sort results by.

Available options:
scheduleName,
dashboardName,
ownerName,
lastRun,
lastRunStatus
sortDirection
enum<string>
default:desc

The direction to sort results.

Available options:
asc,
desc
cursor
integer
default:1

The page number for offset-based pagination.

pageSize
integer
default:20

The number of results to include on each page.

Required range: 1 <= x <= 100
ownerId
string<uuid>

Filter schedules by the owner's membership ID. Use the List users endpoint to retrieve membership IDs.

API results vary by API key type:

  • Organization API keys - When specified, only schedules for the specified owner are returned. Otherwise, all schedules in the organization are returned.
  • Personal access token - When specified, only the token owner's membership ID is allowed. If another user's membership ID is provided, the API will return a 403 Forbidden error.
embedEntity
string

Filter schedules by embed entity:

  • If used as the only filter, list all schedules in the embed entity
  • If used with ownerId, list only schedules for the specified user if they are associated with the embedEntity. The response will be empty if the specified ownerId doesn't have the entity.
  • Can be combined with other filters for more specific results
identifier
string

Filter schedules by dashboard ID. This can be retrieved by:

  • Opening the document settings - Navigate to File > Document settings in the dashboard and then click Settings. The Identifier field contains the dashboard ID.
  • Using the dashboard's URL - The string after /dashboards is the dashboard's ID; for example: https://myorg.omniapp.co/dashboards/12db1a0a

Response

Paginated schedule list

pageInfo
object

Pagination information for paginated responses.

records
object[]

List of schedule records.